Subject: Re: bug#16793: window-state-put needs a live window

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Feb 2014 12:09:42 -0500

> Package: emacs
> Version: 24.3.50
> X-Debbugs-Cc: [email-masked]

[ The X-Debbugs-Cc should be in the email header, not in the here
  pseudo-header.  Welcome to Debbugs ;-)  ]

> Martin suggests that frameset--restore should check that the root
> window of the matching frame found is alive, and if not, discard that
> frame and create a new one.  That's doable, but it seems less than
> optimal, from both a coding and UI perspective.

I don't understand what this means.  Why would the frame's root window
not be alive?  Is it because it's an "internal" window (because of
a split)?  deleting a frame and creating a new one is definitely not
a good idea, since it can have all kinds of unintended side-effects,
depending on the window manager.

        Stefan